# Post ideas

```http
GET https://api.synup.com/api/v4/social-post-ideas/post-ideas
```

Returns the AI social post ideas for a brand (social profile). Filter by `bucket` (e.g. idea, calendar, series) and `filter` (e.g. ai vs mine), and page with `limit`/`offset`.

Source: https://developer.synup.com/api/social-post-ideas/post-ideas

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `socialProfileId` | string | required | Social profile ID. |
| `bucket` | string | optional | Bucket to filter by (e.g. idea, calendar, series). |
| `filter` | string | optional | Source filter (e.g. ai or mine). |
| `limit` | integer | optional | Maximum number of ideas to return. |
| `offset` | integer | optional | Number of ideas to skip. |

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/social-post-ideas/post-ideas' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
